Get Withdrawals
curl --request GET \
--url https://api.perpetuals.polymarket.com/v1/account/withdrawals \
--header 'POLYMARKET-PROXY: <api-key>' \
--header 'POLYMARKET-SECRET: <api-key>'import requests
url = "https://api.perpetuals.polymarket.com/v1/account/withdrawals"
headers = {
"POLYMARKET-PROXY": "<api-key>",
"POLYMARKET-SECRET": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'POLYMARKET-PROXY': '<api-key>', 'POLYMARKET-SECRET': '<api-key>'}
};
fetch('https://api.perpetuals.polymarket.com/v1/account/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"withdraw_id": 123,
"asset": "USDC",
"amount": "100000000",
"to": "0x1234567890abcdef1234567890abcdef12345678",
"fee": "5.00",
"hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"confirmations": 12,
"required_confirmations": 12,
"created_timestamp": 1767225600000,
"confirmed_timestamp": 1767225600000
}
],
"more": true
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}Get withdrawal history for the authenticated account. If no end time is provided, the current time will be used. Maximum of 100 entries returned per request.
GET
/
v1
/
account
/
withdrawals
Get Withdrawals
Request Weight: 10
Authorizations
Proxy address
Correponding proxy secret
Query Parameters
Withdrawal status
Available options:
pending, confirmed, removed, failed On-chain transaction hash, "0x" if not yet mined
Example:
"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
Start timestamp in milliseconds
Example:
1767225600000
End timestamp in milliseconds
Example:
1767229200000
Was this page helpful?
⌘I